package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum  LeletterExamineEnum implements BaseEnum {
    SUB("SUB","减免"),
    FAIL("FAIL","驳回"),
    OK("OK","通过"),

            ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
